# HG changeset patch
# Parent 541be532a94c4ceee57a9c7e162cb0b56559a76e
diff -r 541be532a94c -r d0da84d9e90a src/ChangeLog
--- a/src/ChangeLog	Mon Sep 09 10:14:34 2013 +0900
+++ b/src/ChangeLog	Mon Sep 09 10:17:54 2013 +0900
@@ -1,3 +1,8 @@
+2013-09-09  Stephen J. Turnbull  <stephen@xemacs.org>
+
+	* sysdep.c (child_setup_tty):
+	Shut up compiler warning about empty if body.
+
 2013-08-05  Aidan Kehoe  <kehoea@parhasard.net>
 
 	* data.c:
diff -r 541be532a94c -r d0da84d9e90a src/sysdep.c
--- a/src/sysdep.c	Mon Sep 09 10:14:34 2013 +0900
+++ b/src/sysdep.c	Mon Sep 09 10:17:54 2013 +0900
@@ -494,8 +494,10 @@
 #else
   /* <mdiers> What to do upon failure? Just ignoring rc is probably
      not acceptable, is it? */
-  if (cfsetispeed (&s.main, B9600) == -1) /* ignore */;
-  if (cfsetospeed (&s.main, B9600) == -1) /* ignore */;
+  if (cfsetispeed (&s.main, B9600) == -1)
+    ;				/* ignore */
+  if (cfsetospeed (&s.main, B9600) == -1)
+    ;				/* ignore */
 #endif /* defined (CBAUD) */
 
 #else /* not HAVE_TERMIO */
